import appNonSaveVarReducer from '@configs/appNonSaveVarReducer';
import {configureStore} from '@reduxjs/toolkit';

import appVariablesReducer from '@configs/appVarReducer';

export const store = configureStore({
  reducer: {
    appVariables: appVariablesReducer,
    nonSaveVariables: appNonSaveVarReducer,
  },
});

// Infer the `RootState` and `AppDispatch` types from the store itself
export type RootState = ReturnType<typeof store.getState>;
// Inferred type: {posts: PostsState, comments: CommentsState, users: UsersState}
export type AppDispatch = typeof store.dispatch;
